# Class DataContainer<T>

#### Type Parameters

- #### T

#### Hierarchy

- DataContainer

- Defined in src/Utils/DataContainer.ts:2

#####
Index

### Constructors

constructor

### Properties

data

### Methods

get
set

## Constructors

### constructor

- new DataContainer<T>(data?): DataContainer<T>

- #### Type Parameters

  - #### T

  #### Parameters

  - ##### `Optional` data: T

  #### Returns DataContainer<T>

  - Defined in src/Utils/DataContainer.ts:5

## Properties

### `Private` data

data: undefined | T = undefined

- Defined in src/Utils/DataContainer.ts:3

## Methods

### get

- get(): undefined | T

- #### Returns undefined | T

  - Defined in src/Utils/DataContainer.ts:9

### set

- set(data): void

- #### Parameters

  - ##### data: undefined | T

  #### Returns void

  - Defined in src/Utils/DataContainer.ts:12

Generated using TypeDoc